#include <QApplication>
#include <QQmlApplicationEngine>
#include <QtQml>
#include <QUrl>
#include "miflora/miflora.h"
#include "miflora/bluetoothdevices.h"

Q_DECL_EXPORT int main(int argc, char *argv[])
{
    QGuiApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QApplication app(argc, argv);
    QCoreApplication::setOrganizationName("eyecreate");
    QCoreApplication::setOrganizationDomain("eyecreate.org");
    QCoreApplication::setApplicationName("qiflora");
    

    QQmlApplicationEngine engine;
    qmlRegisterType<BluetoothDevices>();
    qmlRegisterType<MiFlora>("org.eyecreate.qiflora",1,0,"QiFlora");
    engine.load(QUrl(QStringLiteral("qrc:///main.qml")));

    if (engine.rootObjects().isEmpty()) {
        return -1;
    }

    return app.exec();
}
